# amusewiki

> A library-oriented wiki engine

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`amusewiki`](https://hub.docker.com/rojen/amusewiki), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

* `abra app new amusewiki --secrets`
* `abra app config <app-name>`
* `abra app deploy <app-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).

## Post-install

> WARNING: You probably should not use this recipe. `amusewiki` is best
> served on a bare metal Debian install. See [packages.amusewiki.org](https://packages.amusewiki.org)
> for more...

- `abra app run <domain> app bash -u root`
- `sqlite3 /var/lib/dbconfig-common/sqlite3/amusewiki/amusewiki`
- `update site SET canonical = '<domain>' WHERE canonical = 'amusewiki.localdomain';`
- edit `/etc/nginx/sites-enabled/amusewikidebian`

```
server {
    listen 80;
    listen [::]:80;
    server_name <domain>;
    access_log /var/log/nginx/<domain>.log combined;
    error_log /var/log/nginx/<domain>.err.log;
    client_max_body_size 8m;
    include amusewikidebian_include;
}
```

- change `/etc/nginx/amusewiki_debian` from `fastcgi_param HTTPS $https
  if_not_empty` to `fastcgi_param HTTPS on`
- `nginx -t && service nginx reload`
- `cat /var/log/amusewiki/installation.log` to get your initial admin log in
- Go to `/admin/sites` and create a new site and switch over to it

### Reload

```
diff -Nu /etc/nginx/amusewikidebian_include /tmp/nginx-amusewiki-rTRFuZ71/amusewikidebian_include
cat /tmp/nginx-amusewiki-rTRFuZ71/amusewikidebian_include > /etc/nginx/amusewikidebian_include
diff -Nu /etc/nginx/sites-enabled/amusewikidebian /tmp/nginx-amusewiki-rTRFuZ71/amusewikidebian
cat /tmp/nginx-amusewiki-rTRFuZ71/amusewikidebian > /etc/nginx/sites-enabled/amusewikidebian
nginx -t && service nginx reload
```

## ACK

- `melmothx` for a lot of help making this work
